*,
*:after,
*::before {
	-webkit-box-sizing: border-box;
	-moz-box-sizing:    border-box;
	box-sizing:         border-box;
}

.bt-menu {
	position:                    fixed;
	top:                         0;
	left:                        0;
	width:                       100%;
	height:                      0;
	border-width:                0px;
	border-style:                solid;
	border-color:                #333333;
	background-color:            rgba(0, 0, 0, 0);
	-webkit-backface-visibility: hidden;
	-webkit-transition:          border-width 0.3s, background-color 0.3s, height 0s 0.3s;
	transition:                  border-width 0.3s, background-color 0.3s, height 0s 0.3s;
}

.bt-menu.bt-menu-open {
	height:             100%;
	border-width:       0px 0px 50px 150px;
	background-color:   rgba(0, 0, 0, 0.3);
	-webkit-transition: border-width 0.3s, background-color 0.3s;
	transition:         border-width 0.3s, background-color 0.3s;
}

.bt-overlay {
	position: absolute;
	width:    100%;
}

.bt-menu-open .bt-overlay {
	height: 100%;
}

.bt-menu-trigger {
	position: fixed;
	top:      10px;
	left:     20px;
	z-index:  100;
	display:  block;
	width:    50px;
	height:   50px;
	cursor:   pointer;
}

.bt-menu-trigger span {
	position:              absolute;
	top:                   50%;
	left:                  0;
	display:               block;
	width:                 100%;
	height:                8%;
	background-color:      #ffffff;
	font-size:             0px;
	-webkit-touch-callout: none;
	-webkit-user-select:   none;
	-khtml-user-select:    none;
	-moz-user-select:      none;
	-ms-user-select:       none;
	user-select:           none;
	-webkit-transition:    background-color 0.3s;
	transition:            background-color 0.3s;
}

.bt-menu-trigger span:before,
.bt-menu-trigger span:after {
	position:           absolute;
	left:               0;
	width:              100%;
	height:             100%;
	background:         #ffffff;
	content:            '';
	-webkit-transition: -webkit-transform 0.3s;
	transition:         transform 0.3s;
}

.bt-menu-trigger span:before {
	-webkit-transform: translateY(-250%);
	transform:         translateY(-250%);
}

.bt-menu-trigger span:after {
	-webkit-transform: translateY(250%);
	transform:         translateY(250%);
}

.bt-menu-open .bt-menu-trigger span:before {
	-webkit-transform: translateY(-300%);
	transform:         translateY(-300%);
}

.bt-menu-open .bt-menu-trigger span:after {
	-webkit-transform: translateY(300%);
	transform:         translateY(300%);
}

.bt-menu ul {
	position:   fixed;
	margin:     0;
	padding:    0;
	list-style: none;
}

.bt-menu ul:first-of-type {
	top:  75px;
	left: 0;
}

.bt-menu ul:nth-of-type(2) {
	right:  0;
	bottom: 0;
}

.bt-menu ul li,
.bt-menu ul li a {
	display: block;
}

.bt-menu ul:nth-of-type(2) li {
	float:     left;
	font-size: 0px;
}

.bt-menu ul li {
	visibility:         hidden;
	opacity:            0;
	-webkit-transition: -webkit-transform 0.3s, opacity 0.2s, visibility 0s 0.3s;
	transition:         transform 0.3s, opacity 0.2s, visibility 0s 0.3s;
}

.bt-menu.bt-menu-open ul:first-of-type li,
.bt-menu.bt-menu-open ul:nth-of-type(2) li {
	visibility:         visible;
	opacity:            1;
	-webkit-transition: -webkit-transform 0.3s, opacity 0.3s 0.1s;
	transition:         transform 0.3s, opacity 0.3s;
}

/* First menu */
.bt-menu ul:first-of-type li {
	width:             150px;
	height:            50px;
	line-height:       50px;
	-webkit-transform: translate3d(-100%, 50%, 0);
	transform:         translate3d(-100%, 50%, 0);
}

.bt-menu.bt-menu-open ul:first-of-type li {
	-webkit-transform: translate3d(0, 0, 0);
	transform:         translate3d(0, 0, 0);
}

/* Second menu */
.bt-menu ul:nth-of-type(2) li {
	width:             60px;
	height:            50px;
	line-height:       50px;
	-webkit-transform: scale(0);
	transform:         scale(0);
}

.bt-menu.bt-menu-open ul:nth-of-type(2) li:first-child {
	-webkit-transition-delay: 0.1s;
	transition-delay:         0.1s;
}

.bt-menu.bt-menu-open ul:nth-of-type(2) li:nth-child(2) {
	-webkit-transition-delay: 0.2s;
	transition-delay:         0.2s;
}

.bt-menu.bt-menu-open ul:nth-of-type(2) li:nth-child(3) {
	-webkit-transition-delay: 0.3s;
	transition-delay:         0.3s;
}

.bt-menu.bt-menu-open ul:nth-of-type(2) li:nth-child(4) {
	-webkit-transition-delay: 0.4s;
	transition-delay:         0.4s;
}

.bt-menu.bt-menu-open ul:nth-of-type(2) li {
	-webkit-transform: scale(1);
	transform:         scale(1);
}

.bt-menu ul li a {
	display:         block;
	outline:         none;
	text-decoration: none;
}

.bt-menu ul:first-of-type li a {
	padding:            0 20px;
	box-shadow:         inset 0 1px rgba(0, 0, 0, 0.2);
	color:              #ffffff;
	text-transform:     uppercase;
	letter-spacing:     1px;
	font-size:          1em;
	-webkit-transition: color 0.2s;
	transition:         color 0.2s;
}

.bt-menu ul:first-of-type li:last-child a {
	box-shadow: inset 0 1px rgba(0, 0, 0, 0.2), inset 0 -1px rgba(0, 0, 0, 0.2);
}

.bt-menu ul:nth-of-type(2) li a {
	color:      transparent;
	text-align: center;
	font-size:  0px;
}

.bt-menu ul li a:before {
	color:              #ffffff;
	font-size:          24px;
	-webkit-transition: color 0.2s;
	transition:         color 0.2s;
}

.bt-menu ul:first-of-type li a:hover,
.bt-menu ul:first-of-type li a:focus,
.bt-menu ul li a:hover:before,
.bt-menu ul li a:focus:before {
	color: #4e9cb5;
}